## org.eclipse.datatools.sqltools.core.services
Class UIComponentService

    java.lang.Object
      org.eclipse.datatools.sqltools.core.services.UIComponentService

    public class UIComponentService

extends java.lang.Object

Author:
  Hui Cao

Field Summary
`static java.lang.String` `DELETE`
`static java.lang.String` `INSERT`
`static java.lang.String` `KEY_FILE` Key for file entry in the `Hashmap info` parameter when creating a DMLDialog through this UIComponentService.
`static java.lang.String` `PARAMETER`
`static java.lang.String` `SELECT` Statement types
`static java.lang.String` `UPDATE`
`static java.lang.String` `VARIABLE` Parameter types

Constructor Summary
`UIComponentService()`

Method Summary
`SQLPainterDlg` `getDMLDialog(Shell parentShell, java.lang.String statementType, java.lang.String statement, java.lang.String profileName, java.lang.String database, java.lang.String parametersType, java.lang.String parameter, java.lang.String table, java.util.HashMap info)`
`Dialog` `getParameterTableDialog(Shell parentShell, ParameterWrapper[] wrappers, ILaunchConfiguration configuration)`
`IWizard` `getProfileWizard()` Return a connection profile wizard which is used to create a new connection profile TODO: remove this method and use connectivity layer directly.
`boolean` `supportsDMLDialog()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SELECT

    public static final java.lang.String SELECT

  Statement types

  See Also:
    Constant Field Values

### UPDATE

    public static final java.lang.String UPDATE

See Also:
  Constant Field Values

### DELETE

    public static final java.lang.String DELETE

See Also:
  Constant Field Values

### INSERT

    public static final java.lang.String INSERT

See Also:
  Constant Field Values

### VARIABLE

    public static final java.lang.String VARIABLE

  Parameter types

  See Also:
    Constant Field Values

### PARAMETER

    public static final java.lang.String PARAMETER

See Also:
  Constant Field Values

### KEY_FILE

    public static final java.lang.String KEY_FILE

  Key for file entry in the `Hashmap info` parameter when creating a DMLDialog through this UIComponentService.

  See Also:
    Constant Field Values

Constructor Detail

### UIComponentService

    public UIComponentService()

Method Detail

### getDMLDialog

    public SQLPainterDlg getDMLDialog(Shell parentShell,
                                      java.lang.String statementType,
                                      java.lang.String statement,
                                      java.lang.String profileName,
                                      java.lang.String database,
                                      java.lang.String parametersType,
                                      java.lang.String parameter,
                                      java.lang.String table,
                                      java.util.HashMap info)

### supportsDMLDialog

    public boolean supportsDMLDialog()

### getParameterTableDialog

    public Dialog getParameterTableDialog(Shell parentShell,
                                          ParameterWrapper[] wrappers,
                                          ILaunchConfiguration configuration)

### getProfileWizard

    public IWizard getProfileWizard()

  Return a connection profile wizard which is used to create a new connection profile TODO: remove this method and use connectivity layer directly.

  Returns:

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.